%global _empty_manifest_terminate_build 0
Name:		python-pyinstaller
Version:	5.13.0
Release:	1
Summary:	PyInstaller bundles a Python application and all its dependencies into a single package.
License:        GPL-2.0-only
URL:		http://www.pyinstaller.org
Source0:        https://files.pythonhosted.org/packages/51/37/2e0195ef4e4dec35e3f116361c4c780e0c4cd2cd96079199b3218c08fabb/pyinstaller-%{version}.tar.gz
BuildRequires:  python3-devel python3-setuptools zlib-devel
BuildRequires:  python3-wheel

%description
PyInstaller bundles a Python application and all its dependencies into a single
package. The user can run the packaged app without installing a Python
interpreter or any modules.

%package -n python3-pyinstaller
Summary:        PyInstaller bundles a Python application and all its dependencies into a single package.
Provides:       python-PyInstaller
BuildRequires:  python3-devel python3-setuptools

%description -n python3-pyinstaller
PyInstaller bundles a Python application and all its dependencies into a single
package. The user can run the packaged app without installing a Python
interpreter or any modules.

%package help
Summary:	Development documents and examples for PyInstaller
Provides:	python3-PyInstaller-doc
%description help
PyInstaller bundles a Python application and all its dependencies into a single
package. The user can run the packaged app without installing a Python
interpreter or any modules.

%prep
%autosetup -n pyinstaller-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pyinstaller -f filelist.lst
%dir %{python3_sitelib}/*
%exclude   %{python3_sitelib}/PyInstaller/bootloader/{D*,W*,*32*,Linux-64bit}

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Mon Jul 10 2023 chenzixuan<chenzixuan@kylinos.cn> - 5.13.0-1
- Update to 5.13.0

* Tue May 16 2023 yaoxin <yao_xin001@hoperun.com> - 5.10.1-1
- Update to 5.10.1

* Mon Jun 22 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
